Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354210 - Review Request: xviewer - Fast and functional graphics viewer
Summary: Review Request: xviewer - Fast and functional graphics viewer
Keywords:
Status: CLOSED DUPLICATE of bug 1424825
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On: 1357974
Blocks: 1359392
TreeView+ depends on / blocked
 
Reported: 2016-07-10 19:34 UTC by Mario Blättermann
Modified: 2019-01-22 20:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-10 18:39:56 UTC


Attachments (Terms of Use)
licensecheck.txt (deleted)
2016-07-15 19:38 UTC, Raphael Groner
no flags Details

Description Mario Blättermann 2016-07-10 19:34:47 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/xviewer.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/xviewer-1.0.4-1.fc24.src.rpm

Description:
Xviewer is a simple graphics viewer for the Cinnamon desktop and others
which uses the gdk-pixbuf library. It can deal with large images, and zoom
and scroll with constant memory usage. Its goals are simplicity and standards
compliance.

Fedora Account System Username: mariobl

Comment 1 Mario Blättermann 2016-07-10 19:35:40 UTC
Scratch build for f24 was successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14850867

Comment 2 Raphael Groner 2016-07-12 20:18:47 UTC
Review swap with bug #1321473?

Comment 3 Raphael Groner 2016-07-15 19:03:03 UTC
Taken. Thanks for the review swap. :)

Comment 4 Raphael Groner 2016-07-15 19:31:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.page is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
=> OK: Plugins folder.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated", "GPL (v2 or later) LGPL (v2 or later)", "MIT/X11 (BSD
     like)", "*No copyright* GPL (v2 or later)". 43 files have unknown
     license. Detailed output of licensecheck in /home/builder/fedora-
     review/1354210-xviewer/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
=> Add MIT to license tag and a comment about license breakdown. I'll
   attach full licensetext.txt content.

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/help/ar, /usr/share/help/th,
     /usr/share/help/pa, /usr/share/help/da
=> Propably wrong installation. 

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/lv,
     /usr/share/help/fi, /usr/share/help/uk, /usr/share/help/de,
     /usr/share/help/da, /usr/share/help/sv, /usr/share/help/hu,
     /usr/share/help/fr, /usr/share/help/pl, /usr/share/help/C,
     /usr/share/help/ja, /usr/share/help/es, /usr/share/help/eu,
     /usr/share/help, /usr/share/help/ar, /usr/share/help/ca,
     /usr/share/help/ro, /usr/share/help/el, /usr/share/help/en_GB,
     /usr/share/help/gl, /usr/share/help/pa, /usr/share/help/pt_BR,
     /usr/share/help/oc, /usr/share/help/it, /usr/share/help/sl,
     /usr/share/help/zh_TW, /usr/share/help/te, /usr/share/help/cs,
     /usr/share/help/ko, /usr/share/help/ru, /usr/share/help/th,
     /usr/share/help/zh_CN
=> Please fix. Propably: %{_datadir}/%{name}/help/

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/appdata(filesystem)
=> Remove folder from %files, maybe be more concrete about subfolder(s)
   and contained files.

[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
=> You use a lesser Release number than previous packager.

[?]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in xviewer
[!]: The spec file handles locales properly.
=> See above for folders ownership.

[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
=> See above for folders ownership.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in xviewer
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in xviewer
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
=> See above.

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xviewer-
     devel , xviewer-debuginfo
=> I don't understand. devel looks okay in spec file, debuginfo is automagical.

[?]: Package functions as described.
[!]: Latest version is packaged.
=> Version 1.0.6 is available.

[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
=> Please send included patch to upstream.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
=> Please execute tests.
https://github.com/linuxmint/xviewer/tree/master/tests

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 6973440 bytes in /usr/share
=> Please fix.

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xviewer-1.0.4-1.fc25.x86_64.rpm
          xviewer-devel-1.0.4-1.fc25.x86_64.rpm
          xviewer-debuginfo-1.0.4-1.fc25.x86_64.rpm
          xviewer-1.0.4-1.fc25.src.rpm
xviewer.x86_64: W: spelling-error %description -l en_US gdk -> Gd
xviewer.x86_64: W: spelling-error %description -l en_US pixbuf -> pixie
xviewer.x86_64: W: devel-file-in-non-devel-package /usr/share/xviewer/gir-1.0/Xviewer-3.0.gir
xviewer.x86_64: W: no-manual-page-for-binary xviewer
xviewer-devel.x86_64: W: spelling-error %description -l en_US gdk -> Gd
xviewer-devel.x86_64: W: spelling-error %description -l en_US pixbuf -> pixie
xviewer-devel.x86_64: W: only-non-binary-in-usr-lib
xviewer-devel.x86_64: W: no-documentation
xviewer.src: W: spelling-error %description -l en_US gdk -> Gd
xviewer.src: W: spelling-error %description -l en_US pixbuf -> pixie
4 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xviewer-debuginfo-1.0.4-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xviewer.x86_64: W: spelling-error %description -l en_US gdk -> Gd
xviewer.x86_64: W: spelling-error %description -l en_US pixbuf -> pixie
xviewer.x86_64: W: devel-file-in-non-devel-package /usr/share/xviewer/gir-1.0/Xviewer-3.0.gir
xviewer.x86_64: W: no-manual-page-for-binary xviewer
xviewer-devel.x86_64: W: spelling-error %description -l en_US gdk -> Gd
xviewer-devel.x86_64: W: spelling-error %description -l en_US pixbuf -> pixie
xviewer-devel.x86_64: W: only-non-binary-in-usr-lib
xviewer-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
xviewer (rpmlib, GLIBC filtered):
    /bin/sh
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libgirepository-1.0.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.12()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblcms2.so.2()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpeas-1.0.so.0()(64bit)
    libpeas-gtk-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librsvg-2.so.2()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxviewer.so()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

xviewer-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    pkgconfig(gtk+-3.0)
    xviewer(x86-64)

xviewer-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
xviewer:
    appdata()
    appdata(xviewer.appdata.xml)
    application()
    application(xviewer.desktop)
    libfullscreen.so()(64bit)
    libreload.so()(64bit)
    libstatusbar-date.so()(64bit)
    libxviewer.so()(64bit)
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/jpg)
    mimehandler(image/pjpeg)
    mimehandler(image/png)
    mimehandler(image/svg+xml)
    mimehandler(image/svg+xml-compressed)
    mimehandler(image/tiff)
    mimehandler(image/vnd.wap.wbmp)
    mimehandler(image/x-bmp)
    mimehandler(image/x-gray)
    mimehandler(image/x-icb)
    mimehandler(image/x-ico)
    mimehandler(image/x-pcx)
    mimehandler(image/x-png)
    mimehandler(image/x-portable-anymap)
    mimehandler(image/x-portable-bitmap)
    mimehandler(image/x-portable-graymap)
    mimehandler(image/x-portable-pixmap)
    mimehandler(image/x-xbitmap)
    mimehandler(image/x-xpixmap)
    xviewer
    xviewer(x86-64)

xviewer-devel:
    pkgconfig(xviewer)
    xviewer-devel
    xviewer-devel(x86-64)

xviewer-debuginfo:
    xviewer-debuginfo
    xviewer-debuginfo(x86-64)



Unversioned so-files
--------------------
xviewer: /usr/lib64/xviewer/libxviewer.so
xviewer: /usr/lib64/xviewer/plugins/libfullscreen.so
xviewer: /usr/lib64/xviewer/plugins/libreload.so
xviewer: /usr/lib64/xviewer/plugins/libstatusbar-date.so

Source checksums
----------------
https://github.com/linuxmint/xviewer/archive/1.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 389ef8ac86b775af6bcad650e3d4bda80c1fca584effab39276a45ace0611c82
  CHECKSUM(SHA256) upstream package : 389ef8ac86b775af6bcad650e3d4bda80c1fca584effab39276a45ace0611c82


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1354210
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Mario Blättermann 2016-07-15 19:38:23 UTC
Note: License file license.page is not marked as %license

This is bogus, the mentioned *.page file is part of the user documentation, and as such not to be considered as a license file for inclusion in %license.

I will have a deeper look at the issues generated by fedora-review tomorrow.

Comment 6 Raphael Groner 2016-07-15 19:38:42 UTC
Created attachment 1180246 [details]
licensecheck.txt

Please also poke upstream about sources without license header:

xviewer-1.0.4/cut-n-paste/toolbar-editor/eggmarshalers.c
xviewer-1.0.4/cut-n-paste/toolbar-editor/eggmarshalers.h
xviewer-1.0.4/cut-n-paste/toolbar-editor/eggtypebuiltins.c
xviewer-1.0.4/cut-n-paste/toolbar-editor/eggtypebuiltins.h

xviewer-1.0.4/src/xviewer-image-jpeg.h
xviewer-1.0.4/src/xviewer-image-save-info.c
xviewer-1.0.4/src/xviewer-image-save-info.h
xviewer-1.0.4/src/xviewer-pixbuf-util.c
xviewer-1.0.4/src/xviewer-pixbuf-util.h
xviewer-1.0.4/src/xviewer-save-as-dialog-helper.c
xviewer-1.0.4/src/xviewer-save-as-dialog-helper.h
xviewer-1.0.4/src/xviewer-scroll-view.c
xviewer-1.0.4/src/xviewer-scroll-view.h
xviewer-1.0.4/src/xviewer-transform.h
xviewer-1.0.4/src/xviewer-uri-converter.c
xviewer-1.0.4/src/xviewer-uri-converter.h

Comment 7 Raphael Groner 2016-07-15 19:40:51 UTC
… And please add ChangeLog files:

%doc help-ChangeLog
%doc plugins-ChangeLog
%doc po-ChangeLog

Comment 8 Mario Blättermann 2016-07-19 19:12:11 UTC
There is a general problem with /usr/share/help and all of its language-based subdirectories. They are not owned by *any* package. Some ownerships on a real system happen by accidence, but there's no regular owner, see https://bugzilla.redhat.com/show_bug.cgi?id=1357974.

The bug in the Amharic translation has been fixed already in Launchpad:
https://translations.launchpad.net/linuxmint/latest/+pots/xviewer/am/+translate?batch=10&show=all&search=%E1%88%9D%E1%88%B5%E1%88%8E%E1%89%BD%3A%E1%89%B0%E1%8A%95%E1%88%B8%E1%88%AB%E1%89%B3%E1%89%BD+%E1%88%9B%E1%88%B3%E1%8B%AB%3A%E1%8A%95%E1%8B%B5%E1%8D%8E%E1%89%BD%3B

I've renamed the ChangeLog files amd added them to doc.

The user documentation has now its own subpackage. This behaves the same as in Glabels (which I've used as template): The -doc package is independent, because in fact it contains text files only. It will be pulled in automatically by the main package, to avoid unexpected behavior when calling the help in the GUI. The advantages are, the -doc package is noarch, and it is easier to declare the license (CC-BY-SA).

Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/xviewer.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/xviewer-1.0.4-2.fc24.src.rpm

Comment 9 Raphael Groner 2016-07-26 15:16:03 UTC
Forgot, sorry:

Unknown or generated
--------------------
xviewer-1.0.4/jpegutils/jpegint-8a.h
xviewer-1.0.4/jpegutils/transupp-8a.h

These two files have IJG license, see README.8a file.
https://fedoraproject.org/wiki/Licensing/IJG

Although:

GPL (v2 or later)
-----------------
xviewer-1.0.4/jpegutils/jpegint.h
xviewer-1.0.4/jpegutils/transupp-6b.c
xviewer-1.0.4/jpegutils/transupp-6b.h
xviewer-1.0.4/jpegutils/transupp-8a.c
xviewer-1.0.4/jpegutils/transupp.h

make[2]: Entering directory '/builddir/build/BUILD/xviewer-1.0.4/jpegutils'
  CC       transupp-6b.lo
  CCLD     libxviewer-jpegutils.la
make[2]: Leaving directory '/builddir/build/BUILD/xviewer-1.0.4/jpegutils'

I don't understand. Do we see a (forbidden) try to relicense jpegutils files from IJG to GPLv2+ and a case of bundling? How are those files relevant for the project because 'BR: pkgconfig(libjpeg)'?

AND:
Did you report or ask about the unlicensed files as in comment #6 to upstream?

Comment 10 Raphael Groner 2016-07-26 15:59:47 UTC
License discussion continued.

Why license CC-BY-SA for the doc subpackage? I can not validate because I don't find any file from upstream that says so.

Still not fixed as in comment #4:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated", "GPL (v2 or later) LGPL (v2 or later)", "MIT/X11 (BSD
     like)", "*No copyright* GPL (v2 or later)". 43 files have unknown
     license. Detailed output of licensecheck in /home/builder/fedora-
     review/1354210-xviewer/licensecheck.txt

[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
=> Add MIT to license tag and a comment about license breakdown. I'll
   attach full licensetext.txt content.

Comment 12 Raphael Groner 2016-09-01 19:34:53 UTC
Friendly reminder. Are you still interested in this package?

Comment 13 leigh scott 2016-09-06 08:32:51 UTC
(In reply to Raphael Groner from comment #9)
> Forgot, sorry:
> 
> Unknown or generated
> --------------------
> xviewer-1.0.4/jpegutils/jpegint-8a.h
> xviewer-1.0.4/jpegutils/transupp-8a.h
> 
> These two files have IJG license, see README.8a file.
> https://fedoraproject.org/wiki/Licensing/IJG
> 
> Although:
> 
> GPL (v2 or later)
> -----------------
> xviewer-1.0.4/jpegutils/jpegint.h
> xviewer-1.0.4/jpegutils/transupp-6b.c
> xviewer-1.0.4/jpegutils/transupp-6b.h
> xviewer-1.0.4/jpegutils/transupp-8a.c
> xviewer-1.0.4/jpegutils/transupp.h
> 
> make[2]: Entering directory '/builddir/build/BUILD/xviewer-1.0.4/jpegutils'
>   CC       transupp-6b.lo
>   CCLD     libxviewer-jpegutils.la
> make[2]: Leaving directory '/builddir/build/BUILD/xviewer-1.0.4/jpegutils'
> 
> I don't understand. Do we see a (forbidden) try to relicense jpegutils files
> from IJG to GPLv2+ and a case of bundling? How are those files relevant for
> the project because 'BR: pkgconfig(libjpeg)'?
> 
> AND:
> Did you report or ask about the unlicensed files as in comment #6 to
> upstream?

After your finished busting Mario's arse on the licensing issues you can file a bug against eog for the same (xviewer inherited the licenses from eog).

Comment 14 leigh scott 2016-09-06 08:34:00 UTC
(In reply to Raphael Groner from comment #9)
> Forgot, sorry:
> 
> Unknown or generated
> --------------------
> xviewer-1.0.4/jpegutils/jpegint-8a.h
> xviewer-1.0.4/jpegutils/transupp-8a.h
> 
> These two files have IJG license, see README.8a file.
> https://fedoraproject.org/wiki/Licensing/IJG
> 
> Although:
> 
> GPL (v2 or later)
> -----------------
> xviewer-1.0.4/jpegutils/jpegint.h
> xviewer-1.0.4/jpegutils/transupp-6b.c
> xviewer-1.0.4/jpegutils/transupp-6b.h
> xviewer-1.0.4/jpegutils/transupp-8a.c
> xviewer-1.0.4/jpegutils/transupp.h
> 
> make[2]: Entering directory '/builddir/build/BUILD/xviewer-1.0.4/jpegutils'
>   CC       transupp-6b.lo
>   CCLD     libxviewer-jpegutils.la
> make[2]: Leaving directory '/builddir/build/BUILD/xviewer-1.0.4/jpegutils'
> 
> I don't understand. Do we see a (forbidden) try to relicense jpegutils files
> from IJG to GPLv2+ and a case of bundling? How are those files relevant for
> the project because 'BR: pkgconfig(libjpeg)'?
> 
> AND:
> Did you report or ask about the unlicensed files as in comment #6 to
> upstream?

P.S I think your being OTT/OCD about it!

Comment 15 Mario Blättermann 2016-09-10 18:39:56 UTC
(In reply to Raphael Groner from comment #12)
> Friendly reminder. Are you still interested in this package?

Sorry, I'm pretty busy with other things, especially translations. Those have priority for me, and actually I feel unable to maintain more packages than my current ones... Well, submitting Cinnamon's X-apps for review was a result of the first euphoria after noticing their releases. But I really don't have the time to continue here.

Comment 16 Björn 'besser82' Esser 2017-02-19 17:03:38 UTC

*** This bug has been marked as a duplicate of bug 1424825 ***


Note You need to log in before you can comment on or make changes to this bug.